---
sidebar_position: 1
description: Get event description and other functions to work with Google Calendar in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Google Calendar]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get event description
 Gets an empty layout to create the event



`Function GetEventDescription(Val Clear = False) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Clear | --empty | Boolean | &#x2716; | True > structure with empty valuse, False > field descriptions at values |

  
  Returns:  Map Of KeyAndValue - Empty event template



```bsl title="1C:Enterprise/OneScript code example"
    Clear  = False;
    Result = OPI_GoogleCalendar.GetEventDescription(Clear);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint gcalendar GetEventDescription \
             --empty false
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint gcalendar GetEventDescription ^
             --empty false
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "Description": "",
 "Title": "New event",
 "Venue": "",
 "StartDate": "2025-12-10T19:32:41.4928096Z",
 "EndDate": "2025-12-10T20:32:41.4928096Z",
 "ArrayOfAttachmentURLs": {},
 "SendNotifications": true
}
```
